View Issue Details

IDProjectCategoryView StatusLast Update
14410Bug reports[All Projects] Ergonomypublic2019-04-30 09:11
ReporterDenisChenuAssigned Todominikvitt 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14410: Ranking : no alert when try to put more than answer
Description

In ranking question , with showpopup to true : there are no alert done

Steps To Reproduce

Import included survey, try to ranbk more than 1 choice, no popup

Additional Information

Need a global core function NOT FROM TEMPLATE to replace alert
Template can replace function

global function was removed here : https://github.com/LimeSurvey/LimeSurvey/commit/57a35d5806391f2e83dc7f910b7eaa31e22e199d#diff-4fa8092528a97c23ef397647f75e653f

After template can replace this function
Simplest way

function alertSurveyDialog(text,title,class) {
windows.myTemplate.alertSurveyDialog(text,title,class);
}

Remind :

  1. it must work with extended template
  2. it must work without templateCore javascript
  3. it must work with https://gitlab.com/SondagesPro/SurveyThemes/skelvanilla for example

in https://github.com/LimeSurvey/LimeSurvey/commit/57a35d5806391f2e83dc7f910b7eaa31e22e199d#diff-4fa8092528a97c23ef397647f75e653f : you fix a template issue updating core … not the way to go .

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.6
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Relationships

related to 14406 closedDenisChenu 'Ranking' Question with Computed Answers Is Allocating Insufficient Row Height 

Activities

DenisChenu

DenisChenu

2019-01-09 08:28

developer  

limesurvey_survey_rankingAlert.lss (19,678 bytes)
DenisChenu

DenisChenu

2019-01-09 08:35

developer  

dominikvitt

dominikvitt

2019-02-12 11:11

developer   ~50513

This issue is fixed:
https://github.com/LimeSurvey/LimeSurvey/commit/1d28fd68d74144718c488181adfb7910721a8e7e

@DenisChenu:
Agreement at our office is that all survey alerts calls be redirected to window.templateCore.alertSurveyDialog().
Hence changes in this commit reflects that.
If you have some custom JS function and it would be convenient to use it beside window.templateCore.alertSurveyDialog function, override can be implemented in templateCore.

I just tested with both themes, extended theme and skelvanilla theme.
Popups works as expected.
Important point here is that each time you change themes, you must set theme option for showpopups.
Your Skelvanilla's config.xml file have showpopup set to 0: <showpopups>0</showpopups>.

DenisChenu

DenisChenu

2019-02-12 11:21

developer   ~50514

Yes : showpopup at 0 mean show it at page :) : better for a11y.

Ok, then user template MUST have a window.templateCore … :////

Issue History

Date Modified Username Field Change
2019-01-09 08:28 DenisChenu New Issue
2019-01-09 08:28 DenisChenu Status new => assigned
2019-01-09 08:28 DenisChenu Assigned To => dominikvitt
2019-01-09 08:28 DenisChenu File Added: limesurvey_survey_rankingAlert.lss
2019-01-09 08:35 DenisChenu File Added: Capture d’écran du 2019-01-09 08-34-49.png
2019-01-09 08:35 DenisChenu Relationship added related to 14406
2019-02-12 11:11 dominikvitt Status assigned => resolved
2019-02-12 11:11 dominikvitt Resolution open => fixed
2019-02-12 11:11 dominikvitt Fixed in Version => 3.15.x
2019-02-12 11:11 dominikvitt Note Added: 50513
2019-02-12 11:21 DenisChenu Note Added: 50514
2019-04-30 09:11 c_schmitz Status resolved => closed